curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels?channel_type=webhook" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.workflows.list_workflow_channels(
request=ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_type="webhook",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest
async def list_workflow_channels():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.workflows.list_workflow_channels_async(
request=ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_type="webhook",
)
)
print(response)
asyncio.run(list_workflow_channels())
{
"items": [
{
"id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"channel_type": "webhook",
"description": "Job status alerts",
"event_types": ["job.completed", "job.failed"],
"enabled": true,
"url": "https://hooks.example.com/notify",
"created_at": "2026-04-29T10:00:00Z",
"updated_at": "2026-04-29T10:00:00Z"
}
]
}
Workflow
List workflow notification channels
List workflow-scoped notification channels.
GET
/
api
/
v1
/
workflows
/
{workflow_id}
/
notifications
/
channels
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels?channel_type=webhook" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.workflows.list_workflow_channels(
request=ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_type="webhook",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest
async def list_workflow_channels():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.workflows.list_workflow_channels_async(
request=ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_type="webhook",
)
)
print(response)
asyncio.run(list_workflow_channels())
{
"items": [
{
"id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"channel_type": "webhook",
"description": "Job status alerts",
"event_types": ["job.completed", "job.failed"],
"enabled": true,
"url": "https://hooks.example.com/notify",
"created_at": "2026-04-29T10:00:00Z",
"updated_at": "2026-04-29T10:00:00Z"
}
]
}
Path parameters
The unique identifier of the workflow.
Query parameters
Channel type to filter by:
webhook or email.For more information, see Webhooks and Email notifications.Filter by enabled status.
Response
List of notification channel objects.
curl --request GET \
--url "${UNSTRUCTURED_API_URL}/api/v1/workflows/f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c/notifications/channels?channel_type=webhook" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}"
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.workflows.list_workflow_channels(
request=ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_type="webhook",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest
async def list_workflow_channels():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.workflows.list_workflow_channels_async(
request=ListWorkflowChannelsApiV1WorkflowsWorkflowIdNotificationsChannelsGetRequest(
workflow_id="f0a1b2c3-4d5e-6f7a-8b9c-0d1e2f3a4b5c",
channel_type="webhook",
)
)
print(response)
asyncio.run(list_workflow_channels())
{
"items": [
{
"id": "c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
"channel_type": "webhook",
"description": "Job status alerts",
"event_types": ["job.completed", "job.failed"],
"enabled": true,
"url": "https://hooks.example.com/notify",
"created_at": "2026-04-29T10:00:00Z",
"updated_at": "2026-04-29T10:00:00Z"
}
]
}
Was this page helpful?
⌘I

